summaryrefslogtreecommitdiff
path: root/bin/mw
diff options
context:
space:
mode:
authorKriss <kr1ss.x@yandex.com>2019-06-07 18:12:20 +0200
committerLuke Smith <luke@lukesmith.xyz>2019-06-07 12:12:20 -0400
commitd7dd9f89fe8ab68e730a6e81354ff2ada73e1b56 (patch)
tree999b9d5fad5ffc0c6fea08a5516a8c79757efb5e /bin/mw
parent9738316ab5e9a39dd31ea891f34a2409c711216c (diff)
actually terminate the script on Ctrl-C (#236)
In my [PR 224](https://github.com/LukeSmithxyz/mutt-wizard/pull/224), I introduced a bug. While I was catching SIGINT with the trap statement, I did not actually exit the script and returned into the shell. Fixes https://github.com/LukeSmithxyz/mutt-wizard/issues/234
Diffstat (limited to 'bin/mw')
-rwxr-xr-xbin/mw2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/mw b/bin/mw
index 610b8c4..651dd90 100755
--- a/bin/mw
+++ b/bin/mw
@@ -316,7 +316,7 @@ synchronize_flags=true
gpg_path=$GPG"
echo "$nmbasic" > "$NOTMUCH_CONFIG" ;}
-trap 'echo -e "\033[0m\n"' INT
+trap 'echo -e "\033[0m\n"; exit' STOP INT ABRT KILL
case "$1" in
ls) list ;;